Subject: Re: Feedback needed on proposed cygwin feature
From: [email-masked] (Chris Faylor)

2 Dec 1997 07:35:02 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
Michael Hirmke <[email-masked]> wrote:
>Hi Chris,
>
>[...]
>>	cygwin -o 'c:\bin\bash.exe' binmode notitle
>
>Where and how will these values get stored in the registry ?
>
>>
>[...]
>>Which leads into another source of discussion.  I would prefer something
>>like this for setting these options:
>>
>>	set CYGWIN32=binmode notitle tty
>
>I'd like this way, too.
>
>[...]
>>Here are the pros and cons as we see them so far:
>>
>>1) Registry
>[...]
>>
>>2) CYGWIN32
>
>Uhm, perhaps I didn't get the point, but why is it necessary to list
>pros and cons for this ? I'd like to see both possibilities in the next
>version of cygwin and whoever wants can use one or both of them. If one
>leaves the registry alone, only the env vars get used.
>Perhaps it would be useful to have another env var available like
>CYGWIN_REGISTRY=0|1 to indicate, whether one wants to use the registry
>or not - this could speed up things and would allow to temporarily
>disable the registry entries.

I listed pros and cons because the features are not currently in any
version of cygwin.dll besides mine.  If the consensus is that the
Cons are more serious than the Pros then I'm sure that Geoffrey will
decide not to include the features in cygwin.dll.  And, I'd agree with
that decision.

Btw, since I don't seem to have made myself sufficiently clear, I was
not talking about removing environment variable support.  I was talking
about changing CYGWIN_* environment variables to CYGWIN32=*.  I don't
think there is any reason to keep both style of environment variables.
That would be needlessly confusing especially since it would never be
clear which had precedence.

CYGWIN_REGISTRY is an interesting idea.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".